Subject: [bug#41036] ruby: Add 2.7.3.

From: Christopher Baines <[email-masked]>
Date: Fri, 19 Jun 2020 09:54:42 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi Christopher,
>
> Christopher Baines <[email-masked]> skribis:
>
>> Ryan Prior via Guix-patches via <[email-masked]> writes:
>>
>>> This patch adds Ruby 2.7.3, the latest release.
>>
>> Hi Ryan,
>>
>> Thanks for the patch, I've tweaked this to also pass --enable-shared to
>> ruby-2.7, as that's done for Ruby 2.6. I've pushed this to the master
>> branch as [1].
>>
>> 1: 1cc7d3404f8b6b9bf0407e4c752c38fcc188cdba
>>
>> Perhaps we can use this bug now to track getting Ruby 2.7 as the default
>> Ruby in Guix. As Ludo said in a previous message, that'll need to happen
>> on core-updates, which I'll start looking in to...
>
> Would now be a good time to apply it?

Yep, I've tried just now, but I was unsuccessful. Unfortunately I'm not
familiar with dealing with patches, and I couldn't seem to get this one
to apply at all.

Ryan, would you be able to rebase the relevant commit and share an
updated patch, that might help me apply it. Also, if there's a branch I
can pull from, that works as well.

Thanks,

Chris